当前位置: 动力学知识库 > 问答 > 编程问答 >

php - cURL with SSL dependency error libssl.so libcrypto.so needed in Ubuntu 32bit

问题描述:

I had my 64bit Ubuntu have no problems when I installed openssl, curl and PHP with commands

OpenSSL

./configure enable-shared

cURL

./configure --with-ssl=/usr/local/ssl --with-zlib

PHP

./configure .... --with-openssl --with-curl ....

But in my 32bit Ubuntu, the installation stopped at the cURL level when I ran the

make

command

Here is the error I get

/usr/bin/ld: warning: libssl.so.1.0.0, needed by ../lib/.libs/libcurl.so, not found (try using -rpath or -rpath-link)

/usr/bin/ld: warning: libcrypto.so.1.0.0, needed by ../lib/.libs/libcurl.so, not found (try using -rpath or -rpath-link)

I went through /usr/local/ssl directory and did found the two files which are claimed to be missing. I don't know what's happening here. Help!

网友答案:

I found out the problem, it was so silly of me to overlook cURL's website documentation. All I had to do was pass in the environment variable for the run time linker to use the shared libraries before configure.

env LDFLAGS=-R/usr/local/ssl/lib ./configure --with-ssl --with-zlib

..and it worked without any issues. I now have https support in even Ubuntu 32bit. Here's the documentation link http://curl.haxx.se/docs/install.html

分享给朋友:
您可能感兴趣的文章:
随机阅读: